/*
 * This file is generated by jOOQ.
 */
package chat_tcp.generated.chatdb.tables.records;


import chat_tcp.generated.chatdb.tables.Messages;
import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record5;
import org.jooq.Row5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({"all", "unchecked", "rawtypes"})
public class MessagesRecord extends UpdatableRecordImpl<MessagesRecord> implements Record5<Integer, String, String, String, String> {

    private static final long serialVersionUID = -120074895;

    /**
     * Create a detached MessagesRecord
     */
    public MessagesRecord() {
        super(Messages.MESSAGES);
    }

    /**
     * Create a detached, initialised MessagesRecord
     */
    public MessagesRecord(Integer id, String sender, String receiver, String timestamp, String content) {
        super(Messages.MESSAGES);

        set(0, id);
        set(1, sender);
        set(2, receiver);
        set(3, timestamp);
        set(4, content);
    }

    /**
     * Getter for <code>chattcp.messages.id</code>.
     */
    public Integer getId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>chattcp.messages.id</code>.
     */
    public void setId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>chattcp.messages.sender</code>.
     */
    public String getSender() {
        return (String) get(1);
    }

    /**
     * Setter for <code>chattcp.messages.sender</code>.
     */
    public void setSender(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>chattcp.messages.receiver</code>.
     */
    public String getReceiver() {
        return (String) get(2);
    }

    /**
     * Setter for <code>chattcp.messages.receiver</code>.
     */
    public void setReceiver(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>chattcp.messages.timestamp</code>.
     */
    public String getTimestamp() {
        return (String) get(3);
    }

    /**
     * Setter for <code>chattcp.messages.timestamp</code>.
     */
    public void setTimestamp(String value) {
        set(3, value);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * Getter for <code>chattcp.messages.content</code>.
     */
    public String getContent() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Record5 type implementation
    // -------------------------------------------------------------------------

    /**
     * Setter for <code>chattcp.messages.content</code>.
     */
    public void setContent(String value) {
        set(4, value);
    }

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    @Override
    public Row5<Integer, String, String, String, String> fieldsRow() {
        return (Row5) super.fieldsRow();
    }

    @Override
    public Row5<Integer, String, String, String, String> valuesRow() {
        return (Row5) super.valuesRow();
    }

    @Override
    public Field<Integer> field1() {
        return Messages.MESSAGES.ID;
    }

    @Override
    public Field<String> field2() {
        return Messages.MESSAGES.SENDER;
    }

    @Override
    public Field<String> field3() {
        return Messages.MESSAGES.RECEIVER;
    }

    @Override
    public Field<String> field4() {
        return Messages.MESSAGES.TIMESTAMP;
    }

    @Override
    public Field<String> field5() {
        return Messages.MESSAGES.CONTENT;
    }

    @Override
    public Integer component1() {
        return getId();
    }

    @Override
    public String component2() {
        return getSender();
    }

    @Override
    public String component3() {
        return getReceiver();
    }

    @Override
    public String component4() {
        return getTimestamp();
    }

    @Override
    public String component5() {
        return getContent();
    }

    @Override
    public Integer value1() {
        return getId();
    }

    @Override
    public String value2() {
        return getSender();
    }

    @Override
    public String value3() {
        return getReceiver();
    }

    @Override
    public String value4() {
        return getTimestamp();
    }

    @Override
    public String value5() {
        return getContent();
    }

    @Override
    public MessagesRecord value1(Integer value) {
        setId(value);
        return this;
    }

    @Override
    public MessagesRecord value2(String value) {
        setSender(value);
        return this;
    }

    @Override
    public MessagesRecord value3(String value) {
        setReceiver(value);
        return this;
    }

    @Override
    public MessagesRecord value4(String value) {
        setTimestamp(value);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    @Override
    public MessagesRecord value5(String value) {
        setContent(value);
        return this;
    }

    @Override
    public MessagesRecord values(Integer value1, String value2, String value3, String value4, String value5) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        return this;
    }
}
